@import url('https://fonts.googleapis.com/css2?family=Press+Start+2P&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Pattaya&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poiret+One&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Martel:wght@900&display=swap');

$blue: #00b3ff;

* {
  box-sizing: border-box;
  flex-shrink: 0;
}

html, body {
  margin: 0;
  height: 100%;
}

.header {
  height: 128px;
}

.break {
  height: 64px;
  width: 80%;
}

.last {
  width: 100%;
}

.menu {
  display: flex;
  flex-direction: column;
  width: 15vw;
  position: fixed;
  top: 180px;
  right: 56px;

  a {
    font: 3rem 'Poiret One', serif;
    border-bottom: solid 1px black;
    text-decoration: none;
    color: black;

    &:hover {
      border-bottom-color: $blue;
    }
  }
}

.dotted-background {
  background-image: radial-gradient(black 20%, $blue 20%);
  background-size: 16px 16px;

  h1 {
    margin: 0;
    padding-top: 30px;
    font: 4rem 'Press Start 2P', serif;
    width: min-content;
    white-space: nowrap;

    p {
      height: 64px;
      display: inline-block;
      margin: 0 0 0 67px;
      background-color: $blue;
    }
  }
}

.main-container-flex-wrapper {
  display: flex;
  flex-direction: column;

  .main-container {
    display: flex;
    flex-direction: row;

    .left-container {
      background-image: radial-gradient(black 20%, white 20%);
      background-size: 16px 16px;
      width: 10vw;
    }

    .middle-container {
      padding: 64px;
      height: 100%;
      width: 75vw;

      h2 {
        font: 4rem 'Pattaya', serif;

        &:first-child {
          margin-top: 0;
        }
      }

      hr {
        height: 2px;
        background: linear-gradient(to right, #555555, transparent);
        border: 0;
      }

      ul {

        li {
          list-style-type: square;
          list-style-position: inside;
          font: 3rem 'Poiret One', serif;
          line-height: 5rem;
          text-shadow: 0 0 15px rgba(255, 255, 255, .5), 0 0 10px rgba(255, 255, 255, .5), -7px 6px 6px rgba(0, 0, 0, 0.26);

          &::marker {
            color: black;
          }
        }

        hr {
          background: linear-gradient(to right, $blue, transparent);;
        }
      }

      p {
        font: 2.5rem 'Pattaya', serif;
      }

      .flex-container {
        display: flex;
        justify-content: space-evenly;
        margin-top: 16px;

        .dotted-border {
          margin-top: 64px;
          display: flex;
          justify-content: center;
          align-items: center;
          background-image: radial-gradient(black 20%, $blue 20%);
          background-size: 16px 16px;
          height: 176px;
          width: 306px;
          overflow: hidden;
          transition: background-color 1s linear;

          button {
            background-color: white;
            border: 0;
            height: 134px;
            width: 274px;
            font: 2rem 'Martel', serif;

            span {
              font-size: .5rem;
            }
          }

          .after-button {
            position: relative;

            &::after {
              position: absolute;
              content: '19,99 miesięcznie';
              font-size: 1rem;
              top: 80px;
              left: 65px;
            }
          }

          &:hover {
            background-image: radial-gradient(black 20%, #6cd3ff 20%);

            button {
              background-color: #bee1ff;
            }
          }
        }
      }
    }
  }

  .footer {
    background-image: radial-gradient(black 20%, white 20%);
    background-size: 16px 16px;
    height: 10vw;
    width: 100%;
  }
}